> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Control Action



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/trading-control
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/trading-control:
    post:
      tags:
        - Trading Control
      summary: Control Action
      operationId: integrations_api_api_v2_trading_control_control_action
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ControlAction'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - OAuth2: []
components:
  schemas:
    ControlAction:
      properties:
        tab:
          enum:
            - sessions
            - price-fetchers
          title: Tab
          type: string
        action:
          enum:
            - add
            - update
            - stop
            - remove
          title: Action
          type: string
        revision:
          title: Revision
          type: string
        key:
          default: ''
          title: Key
          type: string
        values:
          additionalProperties: true
          default: {}
          title: Values
          type: object
      required:
        - tab
        - action
        - revision
      title: ControlAction
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````